package org.gcube.portlets.widgets.workspacesharingwidget.shared;

import java.io.Serializable;

/**
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 *
 */
public enum GXTFolderItemTypeEnum implements Serializable {
//	AQUAMAPS_ITEM("AquaMaps Item"),
	EXTERNAL_FILE("External File"),
	EXTERNAL_IMAGE("External Image"),
	EXTERNAL_PDF_FILE("External PDF File"),
	EXTERNAL_URL("External Url"),
	EXTERNAL_RESOURCE_LINK("Exteranl Resource Link"),
	QUERY("Query"),
	REPORT("Report"),
	REPORT_TEMPLATE("Report Template"),
	TIME_SERIES("Time Series"),
	DOCUMENT("Document"),
	IMAGE_DOCUMENT("Image Document"),
	PDF_DOCUMENT("PDF Document"),
	URL_DOCUMENT("Url Document"),
	METADATA("Metadata"),
	WORKFLOW_REPORT("Workflow Report"),
	WORKFLOW_TEMPLATE("Workflow Template"),
	UNKNOWN_TYPE("Unknow Type"),
	ANNOTATION("Annotation"),
	FOLDER("Folder"),
	SHARED_FOLDER("Shared Folder");
//	EXTERNAL_IMAGE, 
//	EXTERNAL_FILE,
//	EXTERNAL_PDF_FILE,
//	EXTERNAL_URL,
//	QUERY,
//	REPORT_TEMPLATE,
//	REPORT,
//	DOCUMENT,
//	METADATA,
//	PDF_DOCUMENT,
//	IMAGE_DOCUMENT,
//	URL_DOCUMENT,
//	TIME_SERIES,
//	AQUAMAPS_ITEM,
//	WORKFLOW_REPORT,
//	WORKFLOW_TEMPLATE,
//	UNKNOWN_TYPE;
	
	protected String label;
	
	GXTFolderItemTypeEnum(){}
	
	GXTFolderItemTypeEnum(String label)
	{
		this.label = label;
		
	}
	public String getLabel()
	{
		return label;
	}
}
